package com.its.api.config;

import org.modelmapper.ModelMapper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.domain.AuditorAware;

import java.util.Optional;

@Configuration
public class RootContextConfig {

    @Bean
    public ModelMapper modelMapper() {
        return new ModelMapper();
    }

    @Bean
    public AuditorAware<String> auditorProvider() {
        // 로그인한 사용자의 ID 를 가지고 와서 설정하도록 한다.
        // AuditingEntity 에서 사용됨. @CreatedBy
        return () -> Optional.of(new String("ADMIN").toString());
    }
}
